#DESC	1.2 * DESCRIPTOR INFORMATION ***********************
*
*	Dataset Type and Format:
*
DSRC	EXP
BSEQ	BIG
IKKF	CPLX
XTYP	IDX
YTYP	IDX
ZTYP	NODATA
*
*	Item Formats:
*
IRFMT	D
IIFMT	D
*
*	Data Ranges and Resolutions:
*
XPTS	150
XMIN	112.000000
XWID	3576.000000
YPTS	450
YMIN	112.000000
YWID	10776.000000
*
*	Documentational Text:
*
TITL	'HYSCORE_CYP116B5_D2O_3062G_@10K'
IRNAM	'Intensity'
IINAM	'Intensity'
XNAM	'Time'
YNAM	'Time'
IRUNI	''
IIUNI	''
XUNI	'ns'
YUNI	'ns'
*
************************************************************
*
#SPL	1.2 * STANDARD PARAMETER LAYER
*
OPER    allforone
DATE    03/25/22
TIME    22:34:14
CMNT    
SAMP    
SFOR    
STAG    C
EXPT    PLS
OXS1    TADC
AXS1    B0VL
AXS2    NONE
AXS3    
MWPW    0.0006231
A1CT    0.3062
B0VL    0.3062
A1SW    0.0
MWFQ    9.663436e+09
AVGS    1
*
************************************************************
*
#DSL	1.0 * DEVICE SPECIFIC LAYER
*

.DVC     acqStart, 1.0


.DVC     cwBridge, 1.0

AcqFineTuning      Never
AcqScanFTuning     Off
AcqSliceFTuning    Off
Power              0.6231 mW
PowerAtten         25 dB

.DVC     fieldCtrl, 1.0

AllegroMode        True
CenterField        3062.00 G
Delay              0.0 s
FieldFlyback       On
FieldWait          Wait LED off
GFactor            2.000000
SetToSampleG       False
StaticFieldMon     3062.000 G
SweepDirection     Up
SweepWidth         0.0 G

.DVC     freqCounter, 1.0

FrequencyMon       9.663436 GHz
QMonitBridge       On

.DVC     ftBridge, 1.0

Attenuation        3.00 dB
VideoBW            25 MHz
VideoGain          24 dB

.DVC     ftEpr, 1.0

AutoTimeOut        True
AveragesPerScan    160
ELDORFreqStart     9.300000 GHz
ELDORFreqWidth     0.700000 GHz
FTAcqModeSlct      Run from PulseSPEL
PPExtTrg           False
PPExtTrgSlope      Rising
PlsSPELEXPSlct     HYSCORE_3taus
PlsSPELGlbTxt      \
;\n\
;       HYSCORE package\n\
;     PulseSPEL general variables, definitions & conventions\n\
begin defs\n\
\n\
; Variables    ; Comments:\n\
\n\
p0   = 16      ; 90 pulse length\n\
p1   = 16      ; 180 pulse length\n\
p2   = 32      ; Inversion Pulse\n\
p3   = 72      ; Matched Pulse\n\
\n\
pg   = 32      ; Integrator Gate Width (RESERVED)\n\
d0   = 472     ; Detection Trigger offset time\n\
\n\
d1   = 96      ; tau\n\
d2   = 112     ; t1\n\
d3   = 112     ; t2\n\
d4   = 112     ; tau2\n\
d5   = 400     ; Remote Detection storage time (< T1)\n\
d6   = 8       ; offset for alignment of Store pulse in Remote Detection\n\
\n\
d9   = 16      ; DAF (Delay After Flash) delay pulse sequence until\n\
               ; after external event (eg. laser pulse)\n\
d30  = 24      ; 1st time scale increment\n\
d31  = 24      ; 2nd time scale increment\n\
\n\
a    = 50      ; (RESERVED) number of transient averages (TRANS)\n\
               ; if greater than 1024, a must be a multiple of 1024\n\
h    = 160     ; (CONVENTION) number of shots per point (INTG and SPT)\n\
n    = 1       ; (CONVENTION) number of sweeps to accumulate\n\
\n\
srt  = 1000 * srtu ; (RESERVED) SRT - Shot Repetition Time (srtu=1.02 us)\n\
\n\
b    = 1       ;\n\
c    = 1       ;\n\
r    = 1       ;\n\
w    = 800     ; (CONVENTION) Split point of sweeps (points)\n\
               ; i.e. pulse separation where TWT gate pulse can be split.\n\
dx   = 0       ; (RESERVED) 1st time scale starting value\n\
dy   = 0       ; (RESERVED) 2nd time scale starting value\n\
end defs\n\
\n\
; Note:\n\
;       Variables Marked 'RESERVED' = variable may be used for other times,\n\
;                                       however only this variable can change\n\
;                                        the indicated parameter.\n\
;                                       eg. only 'a' will change the number of\n\
;                                           transients averaged in SpecJet\n\
\n\
\n
PlsSPELLISTSlct    4-step
PlsSPELPhPrgEx     Normal
PlsSPELPrg         Ines/HYSCORE2.exp
PlsSPELPrgTxt      \
;\n\
;\n\
;HYSCORE\n\
;\n\
;P. Hofer, A. Grupp, G. Nebenfuhr and M. Mehring\n\
;		Chem. Phys. Lett. 1986, v. 132, p. 279\n\
;C. Gemperle, G. Aebli, A. Schweiger, and R. R. Ernst\n\
;			J. Man. Reson. 1990, v. 88, p. 241\n\
;\n\
begin defs		; dimension of data array [sx,sy]\n\
 dim s[200]		; 	for 4p set-up\n\
 dim1 s[200]		;	for 3pset\n\
 dim2 s[150,150]	; 	for HYSCORE\n\
 dim3 s[150,450]	;	for HYSCORE 3taus\n\
end defs\n\
;\n\
;\n\
begin lists "none"\n\
 ph1 +x\n\
 ph2 +x\n\
 ph3 +x\n\
 ph4 +x\n\
 asg1 +a\n\
 bsg1 +b\n\
end lists\n\
\n\
begin lists1 "2-step"\n\
 ph1 +x +x\n\
 ph2 +x +x\n\
 ph3 +x +x\n\
 ph4 +x -x\n\
 asg1 +a -a\n\
 bsg1 +b -a\n\
end lists1\n\
\n\
begin lists2 "4-step"\n\
 ph1 +x +x +x +x\n\
 ph2 +x +x +x +x\n\
 ph3 +y +y -y -y\n\
 ph4 +x -x +x -x\n\
 asg1 +a -a +a -a\n\
 bsg1 +b -b +b -b\n\
end lists2\n\
\n\
begin lists3 "8-step"\n\
 ph1 +x -x +x -x  +x -x +x -x\n\
 ph2 +x +x -x -x  +x +x -x -x\n\
 ph3 +x +x +x +x  +x +x +x +x\n\
 ph4 +x +x +x +x  -x -x -x -x\n\
 asg1 +a -a -a +a  -a +a +a -a\n\
 bsg1 +b -b -b +b  -b +b +b -b\n\
end lists3\n\
\n\
begin lists4 "16-step"\n\
 ph1 +x +x +x +x   +x +x +x +x   +x +x +x +x   +x +x +x +x\n\
 ph2 +x +y -x -y   +x +y -x -y   +x +y -x -y   +x +y -x -y\n\
 ph3 +x +y -x -y   +x +y -x -y   -x -y +x +y   -x -y +x +y\n\
 ph4 +x +y -x -y   -x -y +x +y   +x +y -x -y   -x -y +x +y\n\
 asg1 +a -a +a -a   -a +a -a +a   +a -a +a -a   -a +a -a +a\n\
 bsg1 +b -b +b -b   -b +b -b +b   +b -b +b -b   -b +b -b +b\n\
end lists4\n\
\n\
;\n\
; 4p setup\n\
;\n\
begin exp "4p Setup" [SPT QUAD lists2 lists1 lists3 lists4 lists]\n\
	; QUAD detection Single Point - 4-step phase default\n\
\n\
d30=4				; 4 ns detection increment\n\
dx=0				; define x-axis\n\
\n\
sweep x=1 to sx\n\
    shot i=1 to a		; accumulation loop\n\
      d9			; DAF (Delay After Flash)\n\
      p1 [ph1]			; 1st pulse and phase program\n\
      d1			; tau\n\
      p1 [ph2]			; 2nd pulse and phase program\n\
      d2			; t1\n\
      p0 [ph3]  		; inversion pulse\n\
      d3 			; t2\n\
      p1 [ph4]			; 3rd pulse\n\
      d1			; tau\n\
      d0			; constant acquisition delay\n\
      dx\n\
      acq [sg1]			; acquisition\n\
    next i 			; end of accumulation loop\n\
\n\
dx=dx+d30			; increment x-axis\n\
next x\n\
end exp\n\
\n\
;\n\
; 3p setup\n\
;\n\
begin exp1 "3pset" [INTG QUAD lists2 lists1 lists3 lists4 lists]\n\
	; QUAD detection Single Point - 4-step phase default\n\
\n\
d30=4				; 4 ns detection increment\n\
dx=0				; define x-axis\n\
\n\
sweep x=1 to sx			; acquisition delay sweep loop\n\
  shot i=1 to h			; accumulation loop\n\
   d9				; DAF (Delay After Flash)\n\
   p1 [ph1]			; 1st pulse and phase program\n\
   d1				; tau\n\
   p1 [ph2]			; 2nd pulse and phase program\n\
   d2				; t1\n\
;   p0 [ph3]  			; inversion pulse\n\
   d3 				; t2\n\
   p1 [ph4]			; 3rd pulse\n\
   d1				; tau\n\
   d0				; constant acquisition delay\n\
   dx				; acquisition delay sweep\n\
   acq [sg1]			; acquisition\n\
  next i 			; end of accumulation loop\n\
\n\
  dx=dx+d30			; increment x-axis\n\
next x				; end of inversion pulse sweep loop\n\
\n\
end exp1\n\
\n\
;\n\
; HYSCORE\n\
;\n\
begin exp2 "HYSCORE" [INTG QUAD lists2 lists1 lists3 lists4 lists]\n\
	; QUAD detection Single Point - 4-step phase cycle default\n\
\n\
for k=1 to n			; averaging loop\n\
 totscans(n)			; output of total number of scans\n\
\n\
dy=d2				; starting t1 time and assignment of y-axis\n\
\n\
  for y=1 to sy			; t1 loop\n\
\n\
   dx=d3			; starting t2 time and assignment of x-axis\n\
\n\
   sweep x=1 to sx		; t2 sweep loop\n\
    shot i=1 to h		; accumulation loop\n\
      d9			; DAF (Delay After Flash)\n\
      p1 [ph1]			; 1st pulse and phase program\n\
      d1			; tau\n\
      p1 [ph2]			; 2nd pulse and phase program\n\
      dy			; t1\n\
      p0 [ph3]			; inversion pulse and phase program\n\
      dx			; t2\n\
      p1 [ph4]			; 3rd pulse and phase program\n\
      d1			; tau\n\
      d0			; constant acquisition delay\n\
      acq [sg1]			; acquisition\n\
    next i			; end of accumulation loop\n\
\n\
    dx=dx+d30			; increment t2\n\
   next x			; end of t2 sweep loop\n\
\n\
   dy=dy+d31			; increment t1\n\
  next y			; end of t1 loop\n\
\n\
  scansdone(k)			; output of scans done\n\
 next k				; end of averaging loop\n\
\n\
end exp2\n\
\n\
;\n\
; HYSCORE @ 3 tau values\n\
;\n\
begin exp3 "HYSCORE_3taus" [INTG QUAD lists2 lists1 lists3 lists4 lists]\n\
	; QUAD detection Single Point - 4-step phase cycle default\n\
\n\
for k=1 to n			; averaging loop\n\
 totscans(n)			; output of total number of scans\n\
\n\
dy=d2				; starting t1 time and assignment of y-axis\n\
d1=96\n\
  for y=1 to 150		; t1 loop\n\
   dx=d3			; starting t2 time and assignment of x-axis\n\
   sweep x=1 to sx		; t2 sweep loop\n\
    shot i=1 to h		; accumulation loop\n\
      d9			; DAF (Delay After Flash)\n\
      p1 [ph1]			; 1st pulse and phase program\n\
      d1			; tau\n\
      p1 [ph2]			; 2nd pulse and phase program\n\
      dy			; t1\n\
      p0 [ph3]			; inversion pulse and phase program\n\
      dx			; t2\n\
      p1 [ph4]			; 3rd pulse and phase program\n\
      d1			; tau\n\
      d0			; constant acquisition delay\n\
      acq [sg1]			; acquisition\n\
    next i			; end of accumulation loop\n\
\n\
    dx=dx+d30			; increment t2\n\
   next x			; end of t2 sweep loop\n\
\n\
   dy=dy+d31			; increment t1\n\
  next y			; end of t1 loop\n\
\n\
dy=d2				; starting t1 time and assignment of y-axis\n\
d1=250\n\
  for y=151 to 300		; t1 loop\n\
   dx=d3			; starting t2 time and assignment of x-axis\n\
   sweep x=1 to sx		; t2 sweep loop\n\
    shot i=1 to h		; accumulation loop\n\
      d9			; DAF (Delay After Flash)\n\
      p1 [ph1]			; 1st pulse and phase program\n\
      d1			; tau\n\
      p1 [ph2]			; 2nd pulse and phase program\n\
      dy			; t1\n\
      p0 [ph3]			; inversion pulse and phase program\n\
      dx			; t2\n\
      p1 [ph4]			; 3rd pulse and phase program\n\
      d1			; tau\n\
      d0			; constant acquisition delay\n\
      acq [sg1]			; acquisition\n\
    next i			; end of accumulation loop\n\
\n\
    dx=dx+d30			; increment t2\n\
   next x			; end of t2 sweep loop\n\
\n\
   dy=dy+d31			; increment t1\n\
  next y			; end of t1 loop\n\
\n\
dy=d2				; starting t1 time and assignment of y-axis\n\
d1=400\n\
  for y=301 to sy		; t1 loop\n\
   dx=d3			; starting t2 time and assignment of x-axis\n\
   sweep x=1 to sx		; t2 sweep loop\n\
    shot i=1 to h		; accumulation loop\n\
      d9			; DAF (Delay After Flash)\n\
      p1 [ph1]			; 1st pulse and phase program\n\
      d1			; tau\n\
      p1 [ph2]			; 2nd pulse and phase program\n\
      dy			; t1\n\
      p0 [ph3]			; inversion pulse and phase program\n\
      dx			; t2\n\
      p1 [ph4]			; 3rd pulse and phase program\n\
      d1			; tau\n\
      d0			; constant acquisition delay\n\
      acq [sg1]			; acquisition\n\
    next i			; end of accumulation loop\n\
\n\
    dx=dx+d30			; increment t2\n\
   next x			; end of t2 sweep loop\n\
\n\
   dy=dy+d31			; increment t1\n\
  next y			; end of t1 loop\n\
\n\
\n\
  scansdone(k)			; output of scans done\n\
 next k				; end of averaging loop\n\
\n\
end exp3\n\
\n\
\n\
\n
Psd1               0,0,290,690,4378,4490,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,20,20,20,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd10              0,280,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd11              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd12              0,280,4384,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd13              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd14              0,252,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd15              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd16              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd17              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd18              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd19              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd2               0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd20              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd21              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd22              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd23              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd24              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd25              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd26              0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd3               0,0,112,512,4200,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,274,274,386,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd4               0,0,20,420,4108,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,204,204,316,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd5               0,0,5088,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,32,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd6               0,280,296,696,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,20,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd7               0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd8               0,280,4496,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,20,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
Psd9               0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
QuadDetect         True
RF1Prg             0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000
RF2Prg             0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000,0.000
ReplaceMode        Off
ShotRepTime        1020.00 us
ShotsPLoop         160
SptProgress        100 %
StochMode          False
SweepsPExp         1
TriggerTimeOut     36 s
XAxisQuant         Magnetic Field
XSpecRes           150
YAxisQuant         Magnetic Field
YSpecRes           450

.DVC     recorder, 1.0

BaselineCorr       Off
NbScansAcc         1
NbScansDone        0
NbScansToDo        1
ReplaceMode        Off
SmoothMode         Auto
SmoothPoints       1

.DVC     routeTrg, 1.0


.DVC     sigChanSmall, 1.0


.DVC     transRec, 1.0


*
************************************************************
*
#MHL	1.0 * MANIPULATION HISTORY LAYER by BRUKER
*
*
*       Input Dataset:
*
SOURCE
  *
  SOURCE
  'Experiment:1'
  END_SOURCE
  PROCESS 'prHyscore'
  PAR_STR    Complex = yes       
  PAR_STR   Baseline = linear    
  PAR_STR Zerofilling = '1024'    
END_SOURCE
*
*       Process:
*
PROCESS 'prHyscore'
*
*       Parameter:
*
PAR_STR    Complex = yes       
PAR_STR   Baseline = linear    
PAR_STR Zerofilling = '1024'    
*
************************************************************
