clear all; clf;


[v,spc] = eprload('ENDOR_CYP116B5_D2O_2913G_20K');

spc = spc/max(spc);

% dv=mean(diff(v));
% DI_spc=trapz(spc)*dv;

B = [291.3];
vL = ((14.9021186/350)*B);

Options = struct('GridSize',181,'Enhancement','off','OriPreSelect', 1);

% plot(v-vL,spc,'k','LineWidth',2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'k','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold off


%--------------H1 Cisteina----------------------------


Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H';
aiso_H1 = 0.79;
T_H1 = 2.60;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H1;
Sys.A = [A_H1];
Sys.AFrame = [0 47 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [5 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.781145;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim1]=salt(Sys,Exp,Options);
spc_sim1n=spc_sim1/max(spc_sim1);
plot(v_sim-vL,(spc_sim1n*-1+2)/2,'b',LineWidth=2);
xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold on

%--------------H2 Cisteina----------------------------
        
Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H';
aiso_H1 = 0.10;
T_H1 = 1.02;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H1;
Sys.A = [A_H1];
Sys.AFrame = [13 66 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [0 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.781145;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim2]=salt(Sys,Exp,Options);
spc_sim2n=spc_sim2/max(spc_sim2);
plot(v_sim-vL,(spc_sim2n*-1+2)/2,'m',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

hold on

%--------------4xH Meso----------------------------

        
Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.S = 1/2;
Sys.Nucs = '1H,1H,1H,1H';
%Sys.n = [2 2];
aiso_H1 = 0.10;
aiso_H2 = 0.10;
aiso_H3 = 0.10;
aiso_H4 = 0.10;
T_H1 = 0.87;
T_H2 = 0.87;
T_H3 = 0.87;
T_H4 = 0.87;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
Ad_H2 = [-T_H2 -T_H2 +2*T_H2]; 
Ad_H3 = [-T_H3 -T_H3 +2*T_H3]; 
Ad_H4 = [-T_H4 -T_H4 +2*T_H4]; 
A_H1 = aiso_H1 + Ad_H1;
A_H2 = aiso_H2 + Ad_H2;
A_H3 = aiso_H3 + Ad_H3;
A_H4 = aiso_H4 + Ad_H4;
Sys.A = [A_H1; A_H2; A_H3; A_H4];
Sys.AFrame = [45 90 0; 45 90 0; -45 90 0; -45 90 0]*pi/180;
Sys.lwEndor = 0.1;
Exp.Field = B;
Exp.Range = [5 20];
Exp.nPoints = 120;
Exp.mwFreq = 9.781145;
Exp.ExciteWidth = 100;
%Exp.Harmonic = 1;
[v_sim,spc_sim3]=salt(Sys,Exp,Options);
spc_sim3n=spc_sim3/max(spc_sim3);
plot(v_sim-vL,(spc_sim3n*-1+2)/2,'g',LineWidth=2);

xlim([-4 4]) % left and right limits of the x-axis
xticks(-4:1:4);
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

%-----------------FINAL PLOT-----------------------

spc_sim= spc_sim1*15+spc_sim2+spc_sim3;
spc_sim=spc_sim/max(spc_sim);
% spc_sim=spc_sim/max(spc_sim);
% DI_sim=trapz(spc_sim)*dv;      

% plot(v-vL,(spc-0.995)*4.7569,'k','LineWidth',2);

% plot(v_sim-vL,(spc_sim*-1+2)/2,'r',LineWidth=2);

% legend ('Exp','H1 Cys', 'H2 Cys', '5xH Meso', 'Sum');

%figure('Name','Simulation','NumberTitle','off')
xlim([-4 4]) % left and right limits of the x-axis
%xlabel('\nu - \nu_L [MHz]') % x-axis label
xticks(-4:1:4);
%ylabel('Signal Amplitude [a.u.]') % y-axis label
set(gca,'YColor','none', 'box', 'off', 'linewidth', 3, 'XColor', 'none','TickDir','out', 'FontSize', 36, 'FontName', 'Arial');

% data = [v(:) spc(:)];
% save('ENDOR_CYP116B5_H2O_2902G_20K.txt','data','-ascii');

