   clear all; clf;
   
   %Experiment
 
   
   h.bl_poly='rc';       % baseline correction for ROW
   h.bl_poly_n=[3 3];    % Polynomial order
%   h.bl_exp='rc';           % exponential baseline
%   h.bl_exp_no=[1 1];       % number of exponentials
   h.bl_graphs='n';      % graph baseline fits
%  h.ham='rc';           % hamming window
    h.asy_gauss='rc';        % gaussian1 window
    h.asy_gauss_par=[100 1000 2500]; %    [maximum, growing to the maximum, decreasing after the maximum]
   h.windowplot='n';     % plot window functions
   h.zf=[1024 1024];       % number points to zero fill rows/columns
   h.fft='rc';           % fft of rows/columns
   %h.fthole=10
spec=eprload('HYSCORE_CYP116B5_15NImidazole_3730G_@10K');

   spe_tau1=spec(1:end,1:150);   % tau1 = 208 ns
   spe_tau2=spec(1:end,151:300); % tau2 = 250 ns
   spe_tau3=spec(1:end,301:450); % tau3 = 400 ns
  

   [v1,v2,exp_tau1,t1,t2,G]=epr1ft([16 16],spe_tau1,h);
   [v1,v2,exp_tau2,t1,t2,G]=epr1ft([16 16],spe_tau2,h);
   [v1,v2,exp_tau3,t1,t2,G]=epr1ft([16 16],spe_tau3,h);

   exp=exp_tau3+exp_tau1;

% graph options 
  
   Opt.gaxis=[-16 16 0 16];       % axis scale
   Opt.inc=4;                  % TIC intervals on axis
   Opt.type='c';               % contour=c
   Opt.scaletype='log10';       % scale
   Opt.box='on';               % box ON/OFF
   Opt.diag='y';               % diagonal line (y/n)
   B=373.0;
   Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
   Opt.grid='off';             % grid line (on/off)
   % figure(1)
   % Opt.contour=[0.24 1 30];  % lowest,highest, number of contours
   % matrixgraph1(v2,v1,exp_tau1,Opt);
   % figure(2)
   % Opt.contour=[0.01 0.6 30];  % lowest,highest, number of contours
   % matrixgraph1(v2,v1,exp_tau2,Opt);
   % figure(3)
   % Opt.contour=[0.01 0.6 30];  % lowest,highest, number of contours
   % matrixgraph1(v2,v1,exp_tau3,Opt);
   % figure(4)
   Opt.contour=[0.35 0.95 25];  % lowest,highest, number of contours
   matrixgraph1(v2,v1,exp,Opt);
     %title('CYP116B5 + Imidazole 2816 G 6 K, t=208','Color',[0 0 0]);

   set(gca,'FontSize',26,'linewidth',3,'FontName', 'Arial')
    xticks(-20:2:20);
   xtickangle (0);
   yticks(0:2:20);
   hold on

%%
clear all; clf;

% %Simulation of H
% 
% Sys.g = [1.86 2.26 2.58];
% Sys.lw = [1]; 
% Sys.gStrain = [0.02 0.0099  0.042];
% Sys.Nucs = '1H';
% aiso = 1.76;
% T = 2.66;
% Ad = [-T -T +2*T]; 
% A_H = aiso + Ad;
% Sys.A = A_H;
% Sys.AFrame = [30 40 0]*pi/180;
% Sys.HStrain=[100 100 100];
% 
% Exp.Sequence = 'HYSCORE';
% Exp.Field = B; % in mT
% Exp.tau = 0.208; % in microseconds
% Exp.dt = 0.016; % in microseconds
% Exp.t1 = 0.112; % in microseconds
% Exp.t2 = 0.112; % in microseconds
% Exp.nPoints = [150 150] ;
% Exp.ExciteWidth = 100; %in MHz
% Exp.mwFreq =  9.72;
% 
% Opt.Knots = 181;
% 
% [x,S,out] = saffron (Sys,Exp,Opt);
% V1=out.f1; % frequency axis 1
% V2=out.f2; % frequency axis 2
% sim=out.fd; % frequency domain signal
% 
% % graph options
% Opt.gaxis=[-16 16 0 16];    %axis scale
% Opt.inc=4;                  % TIC intervals on axis
% Opt.type='c';               % contour=c
% Opt.scaletype='log10';       % scale
% Opt.box='on';               % box ON/OFF
% Opt.diag='y';               % diagonal line (y/n)
% B=373.0;
% %Opt.antidiag=[B*14.9/350 B*2.094/350 B*3.886/350 B*3.944228/350 2*B*3.886/350];
% Opt.grid='off';              % grid line (on/off)
% Opt.contour=[0.20 1 30];  % lowest,highest, number of contours
% Opt.color = 'r';            % set the color by putting the relative letter
% matrixgraph1(V2,V1,abs(sim),Opt);
%  set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial')
%     xticks(-20:2:20);
%    xtickangle (0);
%    yticks(0:2:20);
% 
% hold on


% Simulation of N (Heme)

Sys1.S = 1/2;
Sys1.g = [1.86 2.26 2.58];
Sys1.Nucs = '14N,14N';
Sys1.A = -[4.90 4.80 5.10;4.90 4.80 5.10];
Sys1.AFrame = [90 0 0;90 0 0]*pi/180;
Sys1.Q = [0.90 -0.60 -0.30;0.90 -0.60 -0.30];
Sys1.QFrame=[90 0 0;90 0 0]*pi/180;
Sys1.HStrain=[100 100 100];

Sys2.S = 1/2;
Sys2.g = [1.86 2.26 2.58];
Sys2.Nucs = '14N,14N';
Sys2.A = -[4.80 4.70 5.80;4.80 4.70 5.80];
Sys2.AFrame = [0 0 0;0 0 0]*pi/180;
Sys2.Q = [1.00 -0.60 -0.40;1.00 -0.60 -0.40];
Sys2.QFrame=[0 0 0;0 0 0]*pi/180;
Sys2.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 373; % in mT
Exp.tau = 0.400; % in microseconds
Exp.dt = 0.016; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =  9.72;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'Oh';
%Opt.ProductRule = 1;

[x,S,out1] = saffron (Sys1,Exp,Opt);

V1=out1.f1; % frequency axis 1
V2=out1.f2; % frequency axis 2
sim1=out1.fd; % frequency domain signal

[x,S,out2] = saffron (Sys2,Exp,Opt);

V1=out2.f1; % frequency axis 1
V2=out2.f2; % frequency axis 2
sim2=out2.fd; % frequency domain signal


% graph options
Opt.gaxis=[-20 20 0 20];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B = 373.0;
Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 ]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.12 1 20];  % lowest,highest, number of contours
Opt.color = 'r';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim1),Opt);

 hold on

% graph options
Opt.gaxis=[-20 20 0 20];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 ]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.12 1 20];  % lowest,highest, number of contours
Opt.color = 'm';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim2),Opt);
 
hold on


% Simulation of N (Imidazole)

Sys3.S = 1/2;
Sys3.g = [1.86 2.26 2.58];
Sys3.Nucs = '15N';
Sys3.A = -[3.57 3.20 2.54];
Sys3.AFrame = [30 0 0]*pi/180;
Sys3.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 373; % in mT
Exp.tau = 0.400; % in microseconds
Exp.dt = 0.016; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =  9.72;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'Oh';
%Opt.ProductRule = 1;

[x,S,out3] = saffron (Sys3,Exp,Opt);

V1=out3.f1; % frequency axis 1
V2=out3.f2; % frequency axis 2
sim3=out3.fd; % frequency domain signal

% graph options
Opt.gaxis=[-16 16 0 16];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
Opt.antidiag=[B*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.15 1 30];  % lowest,highest, number of contours
Opt.color = 'b';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim3),Opt);

set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
xticks(-20:2:20);
xtickangle (0);


