   clear all; clf;

%    figure(1)

   %Experiment
   
   h.bl_poly='rc';       % baseline correction for ROW
   h.bl_poly_n=[3 3];    % Polynomial order
%   h.bl_exp='rc';           % exponential baseline
%   h.bl_exp_no=[1 1];       % number of exponentials
   h.bl_graphs='n';      % graph baseline fits
%  h.ham='rc';           % hamming window
    h.asy_gauss='rc';        % gaussian window
    h.asy_gauss_par=[100 1000 1700]; %    [maximum, growing to the maximum, decreasing after the maximum]
   h.windowplot='n';     % plot window functions
   h.zf=[1024 1024];       % number points to zero fill rows/columns
   h.fft='rc';           % fft of rows/columns
   %h.fthole=10
spec=eprload('HYSCORE_CYP116B5_2838G_@6K');
% 
  %spe=spec(1:end,301:end);
% spe=spec(1:end,301:end);
% spe3=spec(1:end,1:150);
  spe=abs(spec);
% 
% 
%   Pulizia tau 168 ns

for i=30:1:56; k=70:1:75; l=89:1:102; j=123:1:129; m=142:1:150;
spe(i,44)=spe(i,44)-230000;
spe(k,44)=spe(k,44)-9000;
spe(l,44)=spe(l,44)-9000;
spe(j,44)=spe(j,44)-9000;
spe(m,44)=spe(m,44)-9000;
end

spe(29,44)=spe(29,44)-59000;
spe(56,44)=spe(56,44)+59000;
spe(76,44)=spe(76,44)-109000;
spe(89,44)=spe(89,44)+179000;
spe(102,44)=spe(102,44)+39000;
spe(122,44)=30000;
spe(129,44)=spe(129,44)+240000;
spe(142,44)=spe(142,44)+70000;

for i=67:1:79; k=87:1:99; l=107:1:119; j=127:1:139; m=146:1:150;
spe(i,76)=spe(i,76)-300000;
spe(k,76)=spe(k,76)-22000;
spe(l,76)=spe(l,76)-22000;
spe(j,76)=spe(j,76)-22000;
spe(m,76)=spe(m,76)-22000;
end

spe(67,76)=spe(67,76)+56000;
spe(80,76)=spe(80,76)-140000;
spe(100,76)=spe(100,76)-80000;
spe(106,76)=spe(106,76)-30000;
spe(120,76)=spe(120,76)-32000;
spe(126,76)=spe(126,76)-89000;
spe(129,76)=spe(129,76)-22000;
spe(139,76)=spe(139,76)+22000;
spe(146,76)=spe(146,76)+150000;

spe_tau1=spe(1:end,1:150);   % tau1 = 168 ns
spe_tau2=spe(1:end,151:300); % tau2 = 208 ns
spe_tau3=spe(1:end,301:450); % tau3 = 250 ns
  
  [v1,v2,exp_tau1,t1,t2,G]=epr1ft([24 24],spe_tau1,h);
  [v1,v2,exp_tau2,t1,t2,G]=epr1ft([24 24],spe_tau2,h);
  [v1,v2,exp_tau3,t1,t2,G]=epr1ft([24 24],spe_tau3,h);
  exp=exp_tau2+exp_tau3;

   % graph option
   Opt.gaxis=[0 20 0 20];       % axis scale
   Opt.inc=4;                  % TIC intervals on axis
   Opt.type='c';               % contour=c
   Opt.scaletype='log10';       % scale
   Opt.box='on';               % box ON/OFF
   Opt.diag='y';               % diagonal line (y/n)
   B=283.8;
   Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
   Opt.grid='off';             % grid line (on/off)
%    Opt.contour=[0.01 0.8 30];  % lowest,highest, number of contours
   %Opt.color = 'r';            % set the color by putting the relative letter
%     figure(1)
%     matrixgraph1(v2,v1,exp_tau1,Opt);
%     figure(2)
   %Opt.color = 'k';            % set the color by putting the relative letter
%    Opt.contour=[0.01 0.6 30];  % lowest,highest, number of contours
%    matrixgraph1(v2,v1,exp_tau2,Opt);
%     figure(3)
   %Opt.color = 'b';            % set the color by putting the relative letter
%    Opt.contour=[0.01 0.6 30];  % lowest,highest, number of contours
%    matrixgraph1(v2,v1,exp_tau3,Opt);
   figure(4)
   Opt.contour=[0.08 0.7 30];  % lowest,highest, number of contours
   matrixgraph1(v2,v1,exp,Opt);
   %title('CYP116B5 2838 G 6K, t=250','Color',[0 0 0]);
   set(gca,'FontSize',22,'linewidth',3,'FontName', 'Arial');
   xticks(-20:2:20);
   xtickangle (0);
   yticks(0:2:20);
  hold on

%%

 clear all; clf;

% Simulation


%Simulation of H1 (H2O)


Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.gFrame = [0 0 0]*pi/180;         
Sys.gStrain = [0.010 0.008 0.04];
Sys.Nucs = '1H';
aiso_H1 = -0.09;
T_H1 = 5.60;
Ad_H1 = [-T_H1 -T_H1 +2*T_H1]; 
A_H1 = aiso_H1 + Ad_H1;
Sys.A = A_H1;
Sys.AFrame = [0 22 0]*pi/180;
Sys.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 283.8; % in mT
Exp.tau = 0.168; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =  9.703089;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'D2h';
%Opt.ProductRule = 1;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[-20 20 0 20];    %axis scale
Opt.inc=4;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='unit';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=283.8;
Opt.antidiag=[B*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.2 1 20];  % lowest,highest, number of contours
Opt.color = 'm';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
xticks(8:2:16);
xtickangle (0);
yticks(8:2:16);
hold on


%Simulation of H2 (H2O)

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.gFrame = [0 0 0]*pi/180;          % Euler angles for g
Sys.gStrain = [0.010 0.008 0.04];
Sys.Nucs = '1H';
aiso_H2 = -1.095;
T_H2 = 5.20;
Ad_H2 = [-T_H2 -T_H2 +2*T_H2]; 
A_H2 = aiso_H2 + Ad_H2;
Sys.A = A_H2;
Sys.AFrame = [0 16 0]*pi/180;
Sys.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 283.8; % in mT
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =  9.703089;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'D2h';
%Opt.ProductRule = 1;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[-20 20 0 20];    %axis scale
Opt.inc=4;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='unit';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=283.8;
Opt.antidiag=[B*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.20 1 20];  % lowest,highest, number of contours
Opt.color = 'r ';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
set(gca,'FontSize',24,'linewidth',1.5,'FontName', 'Arial');
xticks(8:2:16);
xtickangle (0);
yticks(8:2:16);
hold on

%Simulation of H (Cys)

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.Nucs = '1H';
aiso_H3 = 0.79;
T_H3 = 2.595;
Ad_H3 = [-T_H3 -T_H3 +2*T_H3]; 
A_H3 = aiso_H2 + Ad_H3;
Sys.A = A_H3;
Sys.AFrame = [0 47 0]*pi/180;
Sys.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 283.8; % in mT
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =  9.703089;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'D2h';
%Opt.ProductRule = 1;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[0 20 0 20];    %axis scale
Opt.inc=4;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='unit';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=283.8;
Opt.antidiag=[B*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.15 1 25];  % lowest,highest, number of contours
Opt.color = 'y';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
   xticks(-20:2:20);
   xtickangle (0);
   yticks(0:2:20);

%%

clear; clf;

%Simulation of N1

Sys1.S = 1/2;
Sys1.g = [1.92 2.25 2.44];
Sys1.Nucs = '14N,14N';
Sys1.A = -[5.10 4.90 5.10;5.10 4.90 5.10];
Sys1.AFrame = [90 0 0;90 0 0]*pi/180;
Sys1.Q = [0.90 -0.60 -0.30;0.90 -0.60 -0.30];
Sys1.QFrame=[90 0 0;90 0 0]*pi/180;
Sys1.HStrain=[100 100 100];


% Simulation of N2

Sys2.S = 1/2;
Sys2.g = [1.92 2.25 2.44];
Sys2.Nucs = '14N,14N';
Sys2.A = -[5.20 4.50 5.90;5.20 4.50 5.90];
Sys2.AFrame = [0 0 0;0 0 0]*pi/180;
Sys2.Q = [1.00 -0.60 -0.40;1.00 -0.60 -0.40];
Sys2.QFrame=[0 0 0;0 0 0]*pi/180;
Sys2.HStrain=[100 100 100];

% Simulation of N1 & N2

% Sys3.S = 1/2;
% Sys3.g = [1.92 2.25 2.44];
% Sys3.Nucs = '14N,14N';
% Sys3.A = -[5.10 4.90 5.10;5.20 4.50 5.90];
% Sys3.AFrame = [90 0 0; 0 0 0]*pi/180;
% Sys3.Q = [0.90 -0.60 -0.30; 1.00 -0.60 -0.40];
% Sys3.QFrame=[90 0 0; 0 0 0]*pi/180;
% Sys3.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 283.8;
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq = 9.703089;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'Oh';
% Opt.ProductRule = 1;

[x,S,out1] = saffron (Sys1,Exp,Opt);
[x,S,out2] = saffron (Sys2,Exp,Opt);
% [x,S,out3] = saffron (Sys3,Exp,Opt);

V1=out1.f1; % frequency axis 1
V2=out1.f2; % frequency axis 2
sim1=out1.fd; % frequency domain signal

V1=out2.f1; % frequency axis 1
V2=out2.f2; % frequency axis 2
sim2=out2.fd; % frequency domain signal

% V1=out3.f1; % frequency axis 1
% V2=out3.f2; % frequency axis 2
% sim3=out3.fd; % frequency domain signal

% % graph options

Opt.gaxis=[-16 16 0 16];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=283.8;
Opt.antidiag=[B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.1 0.7 25];  % lowest,highest, number of contours
Opt.color = 'g';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim2),Opt);
set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
xticks(-20:2:20);
xtickangle (0);
yticks(0:2:20);
hold on

Opt.gaxis=[-16 16 0 16];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=283.8;
Opt.antidiag=[B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.06 0.7 25];  % lowest,highest, number of contours
Opt.color = 'b';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim1),Opt);
set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
xticks(-20:2:20);
xtickangle (0);
yticks(0:2:20);
hold on

   
% hold on

% Opt.gaxis=[-16 16 0 16];       % axis scale
% Opt.inc=2;                  % TIC intervals on axis
% Opt.type='c';               % contour=c
% Opt.scaletype='log10';       % scale
% Opt.box='on';               % box ON/OFF
% Opt.diag='y';               % diagonal line (y/n)
% B=283.8;
% Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
% Opt.grid='off';              % grid line (on/off)
% Opt.contour=[0.05 0.8 30];  % lowest,highest, number of contours
% Opt.color = 'k';            % set the color by putting the relative letter
% matrixgraph1(V2,V1,abs(sim3),Opt);
% set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
% xticks(-20:2:20);
% xtickangle (0);
% yticks(0:2:20);
% hold off
   