   clear all; clf;

%    figure(1)

   %Experiment
   
   h.bl_poly='rc';       % baseline correction for ROW
   h.bl_poly_n=[3 3];    % Polynomial order
%   h.bl_exp='rc';           % exponential baseline
%   h.bl_exp_no=[1 1];       % number of exponentials
   h.bl_graphs='n';      % graph baseline fits
%  h.ham='rc';           % hamming window
    h.asy_gauss='rc';        % gaussian window
    h.asy_gauss_par=[100 1000 1500]; %    [maximum, growing to the maximum, decreasing after the maximum]
   h.windowplot='n';     % plot window functions
   h.zf=[1024 1024];       % number points to zero fill rows/columns
   h.fft='rc';           % fft of rows/columns
   %h.fthole=10
spe=eprload('HYSCORE_CYP116B5_D2O_3593G_@10K');

   spe_tau1=spe(1:end,301:450); % tau1 = 96 ns
   spe_tau2=spe(1:end,151:300); % tau2 = 250 ns
   spe_tau3=spe(1:end,301:450); % tau3 = 400 ns

  
   [v1,v2,exp_tau1,t1,t2,G]=epr1ft([24 24],spe_tau1,h);
   [v1,v2,exp_tau2,t1,t2,G]=epr1ft([24 24],spe_tau2,h);
   [v1,v2,exp_tau3,t1,t2,G]=epr1ft([24 24],spe_tau3,h);

   exp=exp_tau2;

   % graph options
   Opt.gaxis=[-20 20 0 20];       % axis scale
   Opt.inc=4;                  % TIC intervals on axis
   Opt.type='c';               % contour=c
   Opt.scaletype='unit';       % scale
   Opt.box='on';               % box ON/OFF
   Opt.diag='y';               % diagonal line (y/n)
   B=359.3;
   Opt.antidiag=[B*14.9/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
   Opt.grid='off';             % grid line (on/off)
   %Opt.color = 'r';            % set the color by putting the relative letter
   Opt.contour=[0.030 0.4 40];  % lowest,highest, number of contours
% %    figure(1)
% %    matrixgraph1(v2,v1,exp_tau1,Opt);
% %    figure(2)
%    Opt.contour=[0.05 0.5 30];  % lowest,highest, number of contours
% %    matrixgraph1(v2,v1,exp_tau2,Opt);
% %    figure(3)
%    Opt.contour=[0.05 0.5 30];  % lowest,highest, number of contours
% %    matrixgraph1(v2,v1,exp_tau3,Opt);
%    figure(4)
%    Opt.contour=[0.05 0.5 30];  % lowest,highest, number of contours
   matrixgraph1(v2,v1,exp,Opt);
   %title('CYP116B5 2838 G 6K, t=250','Color',[0 0 0]);
   set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
   xticks(-20:2:20);
   xtickangle (0);
   yticks(0:2:20);
  hold on
  %%

% Simulation

%figure (2)

clear all; clf;

%Simulation of H (Cys)

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.Nucs = '1H';
aiso_H = 0.79;
T_H = 2.56;
Ad_H = [-T_H -T_H +2*T_H]; 
A_H = aiso_H + Ad_H;
Sys.A = A_H;
Sys.AFrame = [0 47 0]*pi/180;
Sys.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 359.3; % in mT
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq = 9.663401;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'D2h';
%Opt.ProductRule = 1;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[0 20 0 20];    %axis scale
Opt.inc=4;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=359.3;
Opt.antidiag=[B*14.9021/350 B*2.28757/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9021/350 B*2.28757/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350   
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.3 1 20];  % lowest,highest, number of contours
Opt.color = 'y';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
   xticks(-20:2:20);
   xtickangle (0);
   yticks(0:2:20);
hold on

%Simulation of D1

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.gFrame = [0 0 0]*pi/180;         
Sys.gStrain = [0.010 0.008 0.04];
Sys.Nucs = '2H';
aiso_H1 = -0.09;                          % aiso ottenuta per 1H 
aiso_D1=(aiso_H1*1.84)/12.01;
T_H1 = 5.60;                              % T ottenuta per 1H 
T_D1 = (T_H1*1.84)/12.01;
Ad_D1 = [-T_D1 -T_D1 +2*T_D1]; 
A_D1 = aiso_D1 + Ad_D1;
Sys.A = [A_D1];
Sys.AFrame = [0 22 0]*pi/180;
Sys.Q = [0.096 -0.053 -0.043];
Sys.QFrame=[0 0 0]*pi/180;
Sys.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 359.3; % in mT
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =   9.663401;
Opt.Knots = 181;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[0 20 0 20];    %axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
Opt.antidiag=[B*14.9021/350 B*2.28757/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9021/350 B*2.28757/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350   
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.12 0.8 20];  % lowest,highest, number of contours
Opt.color = 'm';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
 set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
hold on


%Simulation of D2

Sys.S = 1/2;
Sys.g = [1.92 2.25 2.44];
Sys.gFrame = [0 0 0]*pi/180;         
Sys.gStrain = [0.010 0.008 0.04];
Sys.Nucs = '2H';
aiso_H2 = -1.095;                          % aiso ottenuta per 1H 
aiso_D2=(aiso_H2*1.84)/12.01;
T_H2 = 5.20;                              % T ottenuta per 1H 
T_D2 = (T_H2*1.84)/12.01;
Ad_D2 = [-T_D2 -T_D2 +2*T_D2]; 
A_D2 = aiso_D2 + Ad_D2;
Sys.A = [A_D2];
Sys.AFrame = [ 0 16 0]*pi/180;
Sys.Q = [0.096 -0.053 -0.043];
Sys.QFrame=[0 0 0]*pi/180;
Sys.HStrain=[100 100 100];


Exp.Sequence = 'HYSCORE';
Exp.Field = 359.3; % in mT
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq =   9.663401;
Opt.Knots = 181;

[x,S,out] = saffron (Sys,Exp,Opt);
V1=out.f1; % frequency axis 1
V2=out.f2; % frequency axis 2
sim=out.fd; % frequency domain signal

% graph options
Opt.gaxis=[0 20 0 20];    %axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
Opt.antidiag=[B*14.9021/350 B*2.28757/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9021/350 B*2.28757/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350            
Opt.grid='off';             % grid line (on/off)
Opt.contour=[0.12 0.8 20];  % lowest,highest, number of contours
Opt.color = 'r';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim),Opt);
set(gca,'FontSize',30,'linewidth',3,'FontName', 'Arial');
hold on


%%
%Simulation of N1


Sys1.S = 1/2;
Sys1.g = [1.92 2.25 2.44];
Sys1.Nucs = '14N';
Sys1.A = -[4.5 4.9 5.2];
Sys1.AFrame = [90 0 0]*pi/180;
Sys1.Q = [0.95 -0.54 -0.41];
Sys1.QFrame=[90 0 0]*pi/180;
Sys1.HStrain=[100 100 100];


% Simulation of N2

% Sys2.S = 1/2;
% Sys2.g = [1.92 2.25 2.44];
% Sys2.Nucs = '14N';
% Sys2.A = -[5.4 4.7 6];
% Sys2.AFrame = [0 0 0]*pi/180;
% Sys2.Q = [0.95 -0.54 -0.41];
% Sys2.QFrame=[0 0 0]*pi/180;
% Sys2.HStrain=[100 100 100];

% Simulation of N

Sys2.S = 1/2;
Sys2.g = [1.92 2.25 2.44];
Sys2.Nucs = '14N,14N';
Sys2.A = -[4.5 4.9 5.2;5.4 4.7 6];
Sys2.AFrame = [90 0 0; 0 0 0]*pi/180;
Sys2.Q = [0.95 -0.60 -0.35; 0.95 -0.60 -0.35];
Sys2.QFrame=[90 0 0; 0 0 0]*pi/180;
Sys2.HStrain=[100 100 100];

Exp.Sequence = 'HYSCORE';
Exp.Field = 283.8;
Exp.tau = 0.250; % in microseconds
Exp.dt = 0.024; % in microseconds
Exp.t1 = 0.112; % in microseconds
Exp.t2 = 0.112; % in microseconds
Exp.nPoints = [150 150] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq = 9.703089;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'Oh';
%Opt.ProductRule = 1;

[x,S,out1] = saffron (Sys1,Exp,Opt);
[x,S,out2] = saffron (Sys2,Exp,Opt);

V1=out1.f1; % frequency axis 1
V2=out1.f2; % frequency axis 2
sim1=out1.fd; % frequency domain signal

V1=out2.f1; % frequency axis 1
V2=out2.f2; % frequency axis 2
sim2=out2.fd; % frequency domain signal

% graph options
Opt.gaxis=[-20 20 0 20];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='unit';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
F=283.8;
Opt.antidiag=[F*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.03 0.3 20];  % lowest,highest, number of contours
Opt.color = 'r';            % set the color by putting the relative letter
% matrixgraph1(V2,V1,abs(sim1),Opt);
 set(gca,'FontSize',24,'linewidth',1.5,'FontName', 'Arial');
hold on

Opt.gaxis=[-20 20 0 20];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='unit';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
F=283.8;
Opt.antidiag=[F*14.9/350];
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.03 0.8 20];  % lowest,highest, number of contours
Opt.color = 'k';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim2),Opt);
set(gca,'FontSize',24,'linewidth',1.5,'FontName', 'Arial');
hold off
   
