%% Experiment

% figure(1)

   clear all; clf;
   
   h.bl_poly='rc';       % baseline correction for ROW
   h.bl_poly_n=[3 3];    % Polynomial order
%   h.bl_exp='rc';           % exponential baseline
%   h.bl_exp_no=[1 1];       % number of exponentials
   h.bl_graphs='n';      % graph baseline fits
%  h.ham='rc';           % hamming window
    h.asy_gauss='rc';        % gaussian window
    h.asy_gauss_par=[100 1000 2500]; %    [maximum, growing to the maximum, decreasing after the maximum]
   h.windowplot='n';     % plot window functions
   h.zf=[2048 2048];       % number points to zero fill rows/columns
   h.fft='rc';           % fft of rows/columns
   %h.fthole=10
spec1=eprload('HYSCORE_CYP116B5_17O_10719G_6K');
spec2=eprload('HYSCORE_CYP116B5_17O_10719G_10K');

   [v1,v2,exp1,t1,t2,G]=epr1ft([16 16],spec1,h);
   [v1,v2,exp2,t1,t2,G]=epr1ft([16 16],spec2,h);

   exp = exp1 + exp2;

   % graph options
   Opt.gaxis=[-16 16 0 16];    % axis scale
   Opt.inc=4;                  % TIC intervals on axis
   Opt.type='c';               % contour=c
   Opt.scaletype='log10';       % scale
   Opt.box='on';               % box ON/OFF
   Opt.diag='y';               % diagonal line (y/n)
   B=1071.9;
   Opt.antidiag=[B*14.9/350 B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
   Opt.grid='off';             % grid line (on/off)
   Opt.contour=[0.22 1 30];  % lowest,highest, number of contours
   %Opt.color = 'k';            % set the color by putting the relative letter
   matrixgraph1(v2,v1,exp,Opt);
   %title('CYP116B5 + H_2^1^7O @g_y (10719 G, 6 K, t=110)','Color',[0 0 0]);
   set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial'); 
xticks(-20:2:20);
yticks(-20:2:20);
xtickangle(0);
  hold on 

% Simulation


%Simulation of N

%Simulation of N1
% 
Sys1.S = 1/2;
Sys1.g = [1.92 2.25 2.44];
Sys1.Nucs = '14N,14N';
Sys1.A = -[4.90 4.80 5.10;5.10 4.90 5.10];
Sys1.AFrame = [90 0 0;90 0 0]*pi/180;
Sys1.Q = [0.90 -0.60 -0.30;0.90 -0.60 -0.30];
Sys1.QFrame=[90 0 0;90 0 0]*pi/180;
Sys1.HStrain=[100 100 100];


% %Simulation of N2

Sys2.S = 1/2;
Sys2.g = [1.92 2.25 2.44];
Sys2.Nucs = '14N,14N';
Sys2.A = -[4.80 4.70 5.80;4.80 4.70 5.80];
Sys2.AFrame = [0 0 0;0 0 0]*pi/180;
Sys2.Q = [1.00 -0.60 -0.40;1.00 -0.60 -0.40];
Sys2.QFrame=[0 0 0;0 0 0]*pi/180;
Sys2.HStrain=[100 100 100];


Exp.Sequence = 'HYSCORE';
Exp.Field = 1071.9;
Exp.tau = 0.110; % in microseconds
Exp.dt = 0.016; % in microseconds
Exp.t1 = 0.100; % in microseconds
Exp.t2 = 0.100; % in microseconds
Exp.nPoints = [200 200] ;
Exp.ExciteWidth = 100; %in MHz
Exp.mwFreq = 33.73539;

Opt.Knots = 181;
%Opt.Nuclei = [2];
%Opt.Symmetry = 'Oh';
%Opt.ProductRule = 1;

[x,S,out1] = saffron (Sys1,Exp,Opt);
[x,S,out2] = saffron (Sys2,Exp,Opt);

V1=out1.f1; % frequency axis 1
V2=out1.f2; % frequency axis 2
sim1=out1.fd; % frequency domain signal

V1=out2.f1; % frequency axis 1
V2=out2.f2; % frequency axis 2
sim2=out2.fd; % frequency domain signal

% graph options

Opt.gaxis=[-16 16 0 16];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=1071.9;
Opt.antidiag=[B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.1 0.8 20];  % lowest,highest, number of contours
Opt.color = 'g';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim2),Opt);
set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
hold on

Opt.gaxis=[-16 16 0 16];       % axis scale
Opt.inc=2;                  % TIC intervals on axis
Opt.type='c';               % contour=c
Opt.scaletype='log10';       % scale
Opt.box='on';               % box ON/OFF
Opt.diag='y';               % diagonal line (y/n)
B=1071.9;
Opt.antidiag=[B*1.0772/350 2*B*1.0772/350]; % 1H Larmor, 2H Larmor, 14N Larmor, 2*14N Larmor, 15N Larmor:  B*14.9/350 2*B*3.886/350 B*1.0772/350 2*B*1.0772/350 B*1.51104/350 
Opt.grid='off';              % grid line (on/off)
Opt.contour=[0.1 0.8 20];  % lowest,highest, number of contours
Opt.color = 'b';            % set the color by putting the relative letter
matrixgraph1(V2,V1,abs(sim1),Opt);
set(gca,'FontSize',24,'linewidth',3,'FontName', 'Arial');
hold off


   
